# Get recipient settings

Returns the recipient configuration for the specified organization.

Endpoint: GET /api/v1/organizations/{organizationId}/settings/recipient
Version: v1
Security: Bearer, PersonalAccessToken

## Security:

  - `Bearer` (unknown)
    http bearer JWT

  - `PersonalAccessToken` (unknown)
    apiKey in header Personal-Access-Token

## Path parameters:

  - `organizationId` (string, required)
    Unique identifier of the organization

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `sendCompletedFileToAllRecipients` (boolean, required)
    Whether the completed file is sent to all recipients.

  - `warnIfRecipientsHaveNoFields` (boolean, required)
    Whether a warning is shown when some recipients have no fields.

  - `authentications` (object, required)
    The organization's recipient authentication settings.

  - `authentications.accessCode` (boolean, required)
    Whether access code authentication is enabled.

  - `authentications.oneTimePassword` (object)
    The one-time password authentication configuration.

  - `authentications.oneTimePassword.enabled` (boolean, required)
    Whether one time password authentication is enabled.

  - `recipientDelegation` (string, required)
    The recipient delegation policies supported by the settings/recipient endpoint.
    Enum: "notAllowed", "allowedDisabled", "allowedEnabled"

  - `mandatoryAuthentication` (any, required)
    The organization's mandatory (forced) recipient authentication method.

  - `mandatoryAuthentication.authentication` (string, required)
    Enum: "None"

  - `mandatoryAuthentication.authentication` (string, required)
    Enum: "Any"

  - `mandatoryAuthentication.authentication` (string, required)
    Enum: "AccessCode"

  - `mandatoryAuthentication.authentication` (string, required)
    Enum: "OneTimePassword"

  - `mandatoryAuthentication.authentication` (string, required)
    Enum: "OAuth"

  - `mandatoryAuthentication.oAuthProviderId` (string, required)
    The external ID of the OAuth provider that must be used, from `GET /settings/oauth-providers`.
    Example: 3f2504e0-4f89-41d3-9a0c-0305e82c3301

## Response 400:

  - `400` (unknown)
    Bad Request

## Response 400 fields (application/json):

  - `errors` (array, required)

  - `errors.errorId` (string, required)

  - `errors.field` (string)

  - `errors.message` (any, required)

  - `errors.messageEn` (any, required)

  - `errors.additionalData` (object)

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `errors` (array, required)

  - `errors.errorId` (string, required)

  - `errors.field` (string)

  - `errors.message` (any, required)

  - `errors.messageEn` (any, required)

  - `errors.additionalData` (object)

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 403 fields (application/json):

  - `errors` (array, required)

  - `errors.errorId` (string, required)

  - `errors.field` (string)

  - `errors.message` (any, required)

  - `errors.messageEn` (any, required)

  - `errors.additionalData` (object)

## Response 404:

  - `404` (unknown)
    Not Found

## Response 404 fields (application/json):

  - `errors` (array, required)

  - `errors.errorId` (string, required)

  - `errors.field` (string)

  - `errors.message` (any, required)

  - `errors.messageEn` (any, required)

  - `errors.additionalData` (object)

## Response 422:

  - `422` (unknown)
    Unprocessable Content

## Response 422 fields (application/json):

  - `errors` (array, required)

  - `errors.errorId` (string, required)

  - `errors.field` (string)

  - `errors.message` (any, required)

  - `errors.messageEn` (any, required)

  - `errors.additionalData` (object)

## Response 500:

  - `500` (unknown)
    Internal Server Error

## Response 500 fields (application/json):

  - `errors` (array, required)

  - `errors.errorId` (string, required)

  - `errors.field` (string)

  - `errors.message` (any, required)

  - `errors.messageEn` (any, required)

  - `errors.additionalData` (object)

## Response 200 examples:

  - `Mandatory authentication - None` (unknown)

  - `Mandatory authentication - Any` (unknown)

  - `Mandatory authentication - AccessCode` (unknown)

  - `Mandatory authentication - OneTimePassword` (unknown)

  - `Mandatory authentication - OAuth` (unknown)

